Bug 1257338 - Review Request: nodejs-progress-stream - Read the progress of a stream
Review Request: nodejs-progress-stream - Read the progress of a stream
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1257340 1257342
Blocks: nodejs-reviews 1114313
  Show dependency treegraph
 
Reported: 2015-08-26 16:33 EDT by Tom Hughes
Modified: 2015-09-18 14:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 15:50:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2015-08-26 16:33:36 EDT
Spec URL: http://download.compton.nu/nodejs/nodejs-progress-stream.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-progress-stream-1.1.1-1.fc22.src.rpm
Fedora Account System Username: tomh

Description:
Read the progress of a stream. Supports speed and eta.

Gets the lengths of the stream automatically if you're using the request
or http module. You can also pass the length on initiation. Progress-stream
will also check to see if the stream already have a length property.
Comment 1 Piotr Popieluch 2015-09-05 13:08:23 EDT
This fails to install on rawhide because of newer nodejs-through2. Please check if you can fixdep it.
Comment 2 Piotr Popieluch 2015-09-05 13:08:52 EDT
Error: nothing provides npm(through2) < 0.3 needed by nodejs-progress-stream-1.1.1-1.fc24.noarch
Comment 3 Tom Hughes 2015-09-05 14:10:55 EDT
It ws already building (and passing tests) with 2.0.0 so it should be fine and I've added a fixdep now.

Spec URL: http://download.compton.nu/nodejs/nodejs-progress-stream.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-progress-stream-1.1.1-2.fc22.src.rpm
Comment 4 Piotr Popieluch 2015-09-05 16:00:57 EDT
APPROVED,

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1257338-nodejs-
     progress-stream/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-progress-stream-1.1.1-2.fc24.noarch.rpm
          nodejs-progress-stream-1.1.1-2.fc24.src.rpm
nodejs-progress-stream.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-progress-stream.noarch: W: only-non-binary-in-usr-lib
nodejs-progress-stream.noarch: W: dangling-symlink /usr/lib/node_modules/progress-stream/node_modules/speedometer /usr/lib/node_modules/speedometer
nodejs-progress-stream.noarch: W: dangling-symlink /usr/lib/node_modules/progress-stream/node_modules/single-line-log /usr/lib/node_modules/single-line-log
nodejs-progress-stream.noarch: W: dangling-symlink /usr/lib/node_modules/progress-stream/node_modules/through2 /usr/lib/node_modules/through2
nodejs-progress-stream.src: W: spelling-error %description -l en_US http -> HTTP
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-progress-stream.noarch: W: only-non-binary-in-usr-lib
nodejs-progress-stream.noarch: W: dangling-symlink /usr/lib/node_modules/progress-stream/node_modules/through2 /usr/lib/node_modules/through2
nodejs-progress-stream.noarch: W: dangling-symlink /usr/lib/node_modules/progress-stream/node_modules/speedometer /usr/lib/node_modules/speedometer
nodejs-progress-stream.noarch: W: dangling-symlink /usr/lib/node_modules/progress-stream/node_modules/single-line-log /usr/lib/node_modules/single-line-log
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-progress-stream (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(single-line-log)
    npm(speedometer)
    npm(through2)



Provides
--------
nodejs-progress-stream:
    nodejs-progress-stream
    npm(progress-stream)



Source checksums
----------------
https://registry.npmjs.org/progress-stream/-/progress-stream-1.1.1.tgz :
  CHECKSUM(SHA256) this package     : f27980e86c6a170f516cd1107169e9bf9adc71a3d510e02e5a3acb23ed345cb7
  CHECKSUM(SHA256) upstream package : f27980e86c6a170f516cd1107169e9bf9adc71a3d510e02e5a3acb23ed345cb7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1257338
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Tom Hughes 2015-09-05 16:16:07 EDT
Thanks!

New Package SCM Request
=======================
Package Name: nodejs-progress-stream
Short Description: Read the progress of a stream
Upstream URL: https://github.com/freeall/progress-stream
Owners: tomh
Branches: f21 f22 f23
Comment 6 Gwyn Ciesla 2015-09-06 10:38:23 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-06 17:11:04 EDT
nodejs-progress-stream-1.1.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15231
Comment 8 Fedora Update System 2015-09-06 17:11:08 EDT
nodejs-progress-stream-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15232
Comment 9 Fedora Update System 2015-09-07 14:19:39 EDT
nodejs-progress-stream-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-progress-stream'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15230
Comment 10 Fedora Update System 2015-09-07 14:21:01 EDT
nodejs-progress-stream-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-progress-stream'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15232
Comment 11 Fedora Update System 2015-09-07 19:50:42 EDT
nodejs-progress-stream-1.1.1-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-progress-stream'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15231
Comment 12 Fedora Update System 2015-09-15 15:50:30 EDT
nodejs-progress-stream-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-15 17:20:29 EDT
nodejs-progress-stream-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-18 14:32:12 EDT
nodejs-progress-stream-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.